/////////////////////////////////////////////////////////////////////////////
// GameLogic.h - Header file for game's logic
//
// Hearts Card Game
// Copyright (C) 2001-2002 Leo C. Singleton IV
// http://www.leosingleton.com/projects/hearts/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; version 2 of the
// License. 
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
// 02110-1301, USA.
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// Revision History
//
// 6/10/02 LCS - GameLogic.h created when MainForm.h was split into two
//		separate files
/////////////////////////////////////////////////////////////////////////////


#if !defined(__GAMELOGIC_H__)
#define __GAMELOGIC_H__


#include <PalmOS.h>


// Helper functions for AI
extern UInt16 Rand(UInt16 n);
extern Boolean IsValidPlay(UInt8 card);
extern UInt8 GetSuit(UInt8 card);
extern UInt8 GetCard(UInt8 card);

// Functions called by MainForm.c
extern void NewGame();
extern void SwapCards(UInt8 player1, UInt8 *pCards1, UInt8 player2,
					  UInt8 *pCards2);
extern void StartPlay();
extern void PostAnimate();
extern void EndGame();


#endif // __GAMELOGIC_H__

